- Main Page
- Classes
- Files

- File List
- File Members

# flColor.c File Reference

`#include "flGlobal.h"`
`#include <stdlib.h>`
`#include <stdio.h>`

Go to the source code of this file.

## Functions
u32 | colorHSL (u8 inHue, u8 inSat, u8 inLum)
u8 | colorHue8888 (u32 inColor)
u8 | colorSat8888 (u32 inColor)
u8 | colorLum8888 (u32 inColor)
u32 | colorMergeN8888 (u32 *inColor, u32 inColorCount)
u16 | colorMergeN4444 (u16 *inColor, u16 inColorCount)
u16 | colorMergeN5551 (u16 *inColor, u16 inColorCount)
u16 | colorMergeN565 (u16 *inColor, u16 inColorCount)
u32 | colorRandom8888 (u8 inBaseLum, u8 inRandLum, u8 inAlpha)
u32 | colorLumMult8888 (u32 inColor, float inLum)
u32 | colorAlphaMult8888 (u32 inColor, float inMult)

## Function Documentation

u32 colorAlphaMult8888 | ( | u32 | inColor,
|  | float | inMult |
| ) |  |  |

Definition at line 194 of file flColor.c.

References color8888_Alpha, and min.

u32 colorHSL | ( | u8 | inHue,
|  | u8 | inSat,
|  | u8 | inLum |
| ) |  |  |

Definition at line 11 of file flColor.c.

References color8888_RGB.

u8 colorHue8888 | ( | u32 | inColor | ) |

Definition at line 43 of file flColor.c.

References color8888_Blue, color8888_Green, color8888_Red, max, and min.

u8 colorLum8888 | ( | u32 | inColor | ) |

Definition at line 89 of file flColor.c.

References color8888_Blue, color8888_Green, color8888_Red, max, and min.

u32 colorLumMult8888 | ( | u32 | inColor,
|  | float | inLum |
| ) |  |  |

Definition at line 185 of file flColor.c.

References color8888_Blue, color8888_Green, color8888_Red, min, and pos.

Referenced by graphics2dDrawSpheroidShaded().

u16 colorMergeN4444 | ( | u16 * | inColor,
|  | u16 | inColorCount |
| ) |  |  |

Definition at line 122 of file flColor.c.

References color4444_Alpha, color4444_Blue, color4444_Green, color4444_Red, and color4444_RGBA.

u16 colorMergeN5551 | ( | u16 * | inColor,
|  | u16 | inColorCount |
| ) |  |  |

Definition at line 139 of file flColor.c.

References color5551_Alpha, color5551_Blue, color5551_Green, color5551_Red, and color5551_RGBA.

u16 colorMergeN565 | ( | u16 * | inColor,
|  | u16 | inColorCount |
| ) |  |  |

Definition at line 156 of file flColor.c.

References color565_Blue, color565_Green, color565_Red, and color565_RGB.

u32 colorMergeN8888 | ( | u32 * | inColor,
|  | u32 | inColorCount |
| ) |  |  |

Definition at line 104 of file flColor.c.

References color8888_RGBA.

u32 colorRandom8888 | ( | u8 | inBaseLum,
|  | u8 | inRandLum,
|  | u8 | inAlpha |
| ) |  |  |

Definition at line 171 of file flColor.c.

References mathRandi().

u8 colorSat8888 | ( | u32 | inColor | ) |

Definition at line 72 of file flColor.c.

References color8888_Blue, color8888_Green, and color8888_Red.